Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 499390 - sys-devel/libtool - add multilib support
Summary: sys-devel/libtool - add multilib support
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: gx86-multilib 499386
  Show dependency tree
 
Reported: 2014-01-26 20:04 UTC by Michael Mair-Keimberger (iamnr3)
Modified: 2014-07-07 10:49 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
libtool-2.4.2.ebuild.patch (libtool-2.4.2.ebuild.patch,2.17 KB, patch)
2014-01-26 20:04 UTC, Michael Mair-Keimberger (iamnr3)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Mair-Keimberger (iamnr3) 2014-01-26 20:04:42 UTC
Created attachment 368828 [details, diff]
libtool-2.4.2.ebuild.patch

multilib patch for libtool - please review.
The ebuild still had EAPI=2 because of bug 356089. I think as of today, having ebuilds at EAPI=4 shouldn't make any problems anymore.
I also had to replace the dosed command with the sed itself.
Comment 1 Christoph Junghans gentoo-dev 2014-05-01 16:08:50 UTC
Patch looks good to me, but EAPI bump needs to be approved by base-system herd.
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2014-05-02 10:31:00 UTC
Following late approvals for EAPI=4, I went ahead and committed it p.masked. We can still discuss and change it before it's unmasked, and in the meantime users can test it a bit.

+*libtool-2.4.2-r1 (02 May 2014)
+
+  02 May 2014; Michał Górny <mgorny@gentoo.org> +libtool-2.4.2-r1.ebuild,
+  libtool-9999.ebuild:
+  Introduce multilib support, bug #499390.
Comment 3 iloveosxzfs 2014-07-07 10:48:42 UTC
I had some trouble with 2.4.2-r1 (perhaps limited to prefix?). Details, including a patch (though there might be a better way, too) are here:

https://bugs.gentoo.org/show_bug.cgi?id=516598